package vt.cs.virtSchool.labapplets.Graph;

import vt.cs.db.*;

import java.awt.*;
import java.lang.*;
import java.applet.*;
import java.util.*;

public class QueryDialog extends Dialog{ 
  
  private TextField tf_textField;  
  private String str;
  private SelectFrame sf;

  public QueryDialog(SelectFrame s, int tf_sz, String string){ 
    super(s, "Query", true); 
    sf = s;
    setLayout(new GridLayout(2, 1, 15, 10));
    add(new Label(string));
    Panel q = new Panel();
    q.setLayout(new FlowLayout(FlowLayout.CENTER));
    tf_textField = new TextField(tf_sz);
    q.add(tf_textField);
    q.add(new Button("OK"));
    add(q);
    tf_textField.requestFocus();
  } 

  public boolean action(Event evt, Object arg) { 
    if ("OK".equals(arg)) {
      str = new String(tf_textField.getText());
      sf.textEntered(str);
      dispose();
      //System.out.println("action " + str);
      return true;
    }
    return false;
  }
  
  public boolean keyDown(Event evt, int key) {
    if (key == '\n') {
      str = new String(tf_textField.getText());
      sf.textEntered(str);
      dispose();
      //System.out.println("keyDown: " + str);
      return true;
    }
    return false;
  }

}
