
//
//	ToolController.java
//
//	Copyright 1996,	Black Diamond Software.	 All rights reserved.
//
//	Written	by: Jason Beaver and Tyler Gingrich
//

package	vt.cs.virtSchool.labapplets.WhiteBoard;

import netscape.application.*;
import netscape.util.*;

public class ToolController extends Object {
	InternalWindow toolWindow;
	ListView toolListView;

	public ToolController(RootView root)	{
		super();

		// Create the tool window and its contents...
		toolListView = new ListView(0,0,36,1000);
		toolListView.setRowHeight(36);
		toolListView.setPrototypeItem(new ToolItem(null));

		((ToolItem)toolListView.addItem()).setToolTitle("Pointer");
		((ToolItem)toolListView.addItem()).setToolTitle("Line");
		((ToolItem)toolListView.addItem()).setToolTitle("Rectangle");
		((ToolItem)toolListView.addItem()).setToolTitle("Circle");

		Size viewSize =	toolListView.minSize();
		toolListView.sizeTo(viewSize.width, viewSize.height);

		toolWindow = new InternalWindow(5,5,100,100);
		toolWindow.setRootView(root);
		Size windowSize	= toolWindow.windowSizeForContentSize(viewSize.width, viewSize.height);
		toolWindow.sizeTo(windowSize.width, windowSize.height-1);

		toolWindow.contentView().addSubview(toolListView);

		toolWindow.setBuffered(true);
		toolWindow.setCanBecomeMain(false);
		toolWindow.show();
	}

	// Accessors...

	public String selectedTool() {
		return ((ToolItem)toolListView.selectedItem()).toolTitle();
	}
}
