
package vt.cs.widgets;

// MultiColumnCallback
// Objects implementing this interface can be passed to the MultiColumn
// class, to have their singleClick() and doubleClick() functions called in
// response to single or double click in the list.
public interface MultiColumnCallback
{
	// singleClick
	// Called on a single click on a list item
	public void singleClick(MultiColumn list, int num);

	// doubleClick
	// Called upon double-clicking on a list item
	public void doubleClick(MultiColumn list, int num);
}
 
